#
# spec file for package python-lazr.delegates
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-lazr.delegates
Version:        2.1.0
Release:        1.6
Summary:        Easily write objects that delegate behavior
License:        LGPL-3.0-only
URL:            https://launchpad.net/lazr.delegates
Source:         https://files.pythonhosted.org/packages/source/l/lazr.delegates/lazr.delegates-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-zope.interface
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module zope.interface}
# /SECTION
%python_subpackages

%description
Easily write objects that delegate behavior

%prep
%setup -q -n lazr.delegates-%{version}

%build
sed -i "/'nose'/d" setup.py
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license COPYING.txt
%{python_sitelib}/*

%changelog
* Thu Jun 15 2023 Andreas Schneider <asn@cryptomilk.org>
- Update to version 2.1.0
  * Officially add support for Python 3.6, 3.7, 3.8, 3.9, 3.10 and 3.11.
  * Drop support for Python 2, 3.2, 3.3, and 3.4.
  * Test using zope.testrunner rather than nose.
  * Bring coverage to 100%%.
  * Switch to declarative setuptools configuration.
  * Add linters.
  * Fix the woke linter.
- Use sle15_python_module_pythons
* Mon Dec  2 2019 pgajdos@suse.com
- call spec-cleaner
* Tue Oct  1 2019 pgajdos@suse.com
- do not install_require nose
* Wed Sep 25 2019 pgajdos@suse.com
- initial version 2.0.4, required by python-lazr.config [SLE-7686]
